upstream php {
    server unix:/run/php/php8.2-fpm.sock;
}

server {
    listen 80;
    listen [::]:80;
        server_name allthebookmarks.com;
        include snippets/well-known;
    return 301 https://$host$request_uri;
}

server {
    listen 443 ssl http2 default_server;
    listen [::]:443 ssl http2 default_server;
    server_name allthebookmarks.com;
    include snippets/ssl-params.conf;
    root           /var/www/allthebookmarks.com;
    index          index.php;

    client_max_body_size 100M;

    autoindex off;

    # custom TTP code
    include snippets/ttp.conf;

    location ~* \.php$ {
      fastcgi_pass php;
      include         fastcgi_params;
      fastcgi_param   SCRIPT_FILENAME    $document_root$fastcgi_script_name;
      include fastcgi_params;
      fastcgi_intercept_errors on;
    }
}
